﻿<Graph ClassName="FilterLoadPlanExt" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using Dispatch;
using PX.Objects.IN;
using PX.Objects.CS;

namespace DispatchExtension
{
    public class FilterLoadPlanExt : PXCacheExtension<FilterLoadPlan>
    {
        #region BrandID
        [PXInt]
        [PXUIField(DisplayName = "Container No.")]
        [PXSelector(typeof(Search<TruckContainer.containerID, Where<TruckContainer.status, Equal<int1>>>), 
            typeof(TruckContainer.containerCD),
            typeof(TruckContainer.description),
            typeof(TruckContainer.model),
            typeof(TruckContainer.containerCBM),
            typeof(TruckContainer.containerKGS),
            SubstituteKey = typeof(TruckContainer.containerCD),
            DescriptionField = typeof(TruckContainer.description))]
        public virtual int? ContainerNo { get; set; }
        public abstract class containerNo : PX.Data.BQL.BqlInt.Field<containerNo> { }
        #endregion
    }
}]]></CDATA>
</Graph>